Decline a join request
curl --request POST \
--url https://connie.ai/api/workspaces/{workspaceId}/decline-access \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--data '
{
"requesterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://connie.ai/api/workspaces/{workspaceId}/decline-access"
payload = { "requesterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Cookie": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Cookie: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requesterId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://connie.ai/api/workspaces/{workspaceId}/decline-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Join requests
Decline a join request
Owner or admin only. Declines a pending join request. The person is not added and can ask again later.
POST
/
workspaces
/
{workspaceId}
/
decline-access
Decline a join request
Authorizations
The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.
Path Parameters
The workspace id, as in the app URL connie.ai/<workspaceId>/....
Body
application/json
Response
Done.